API ReferenceapiaffiliatesGET /v1/affiliates/{id}/commissions

GET /v1/affiliates/\{id\}/commissions

Service: affiliates · operationId: (none)

Required scopes

(no scope declared — review service config)

Path parameters

  • id (string) required

Responses

200 Commissions for this affiliate

{
  "type": "object",
  "properties": {
    "data": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string"
          },
          "affiliate_id": {
            "type": "string"
          },
          "order_id": {
            "type": "string"
          },
          "order_amount_cents": {
            "type": "string"
          },
          "commission_rate_bps": {
            "type": "integer"
          },
          "amount_cents": {
            "type": "string"
          },
          "status": {
            "type": "string"
          },
          "created_at": {
            "type": "string"
          }
        },
        "required": [
          "id",
          "affiliate_id",
          "order_id",
          "order_amount_cents",
          "commission_rate_bps",
          "amount_cents",
          "status",
          "created_at"
        ]
      }
    }
  },
  "required": [
    "data"
  ]
}

404 Affiliate not found

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X GET https://affiliates.platform.loop.health/v1/affiliates/{id}/commissions \
  -H "Authorization: Bearer $ACCESS_TOKEN"